org.apache.commons.ssl

## Class LogHelper

- java.lang.Object
- - org.apache.commons.ssl.LogHelper

    final class LogHelper
    extends java.lang.Object

Wraps a Log4j Logger. This non-public class is the one actually interacting with the log4j.jar library. That way LogWrapper can safely attempt to use log4j.jar, but still degrade gracefully and provide logging via standard-out even if log4j is unavailable.

The interactions with log4j.jar could be done directly inside LogWrapper as long as the Java code is compiled by Java 1.4 or greater (still works at runtime in Java 1.3). The interactions with log4j.jar only need to be pushed out into a separate class like this for people using a Java 1.3 compiler, which creates bytecode that is more strict with depedency checking.

Since:
  3-Aug-2006
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`private org.apache.log4j.Logger` `l`

### Constructor Summary

Constructors
Constructor and Description
`LogHelper(java.lang.Class c)`
`LogHelper(java.lang.String s)`

### Method Summary

Methods
`(package private) void` `debug(java.lang.Object o)`
`(package private) void` `debug(java.lang.Object o, java.lang.Throwable t)`
`(package private) void` `error(java.lang.Object o)`
`(package private) void` `error(java.lang.Object o, java.lang.Throwable t)`
`(package private) void` `fatal(java.lang.Object o)`
`(package private) void` `fatal(java.lang.Object o, java.lang.Throwable t)`
`(package private) java.lang.Object` `getLog4jLogger()`
`(package private) void` `info(java.lang.Object o)`
`(package private) void` `info(java.lang.Object o, java.lang.Throwable t)`
`(package private) boolean` `isDebugEnabled()`
`(package private) boolean` `isInfoEnabled()`
`(package private) void` `warn(java.lang.Object o)`
`(package private) void` `warn(java.lang.Object o, java.lang.Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### l

    private final org.apache.log4j.Logger l

### Constructor Detail

#### LogHelper

    LogHelper(java.lang.Class c)

#### LogHelper

    LogHelper(java.lang.String s)

### Method Detail

#### debug

    void debug(java.lang.Object o)

#### debug

    void debug(java.lang.Object o,
             java.lang.Throwable t)

#### info

    void info(java.lang.Object o)

#### info

    void info(java.lang.Object o,
            java.lang.Throwable t)

#### warn

    void warn(java.lang.Object o)

#### warn

    void warn(java.lang.Object o,
            java.lang.Throwable t)

#### error

    void error(java.lang.Object o)

#### error

    void error(java.lang.Object o,
             java.lang.Throwable t)

#### fatal

    void fatal(java.lang.Object o)

#### fatal

    void fatal(java.lang.Object o,
             java.lang.Throwable t)

#### isDebugEnabled

    boolean isDebugEnabled()

#### isInfoEnabled

    boolean isInfoEnabled()

#### getLog4jLogger

    java.lang.Object getLog4jLogger()